enum btk_error {
	BTK_ERROR_X_CONNECTION,
	BTK_ERROR_X_SCREEN,
	BTK_ERROR_X_KEYSYMS,
	BTK_ERROR_X_VISUAL
};

enum btk_warning {
	BTK_WARNING_WINDOW_GET,
	BTK_WARNING_EMPTY_LOOP,
	BTK_WARNING_DRAW_NO_FIELD,
	BTK_WARNING_OUT_OF_BOUND_CELL,
	BTK_WARNING_WINDOW_DESTROY	
};

enum btk_log {
	BTK_LOG_SESSION_CLOSE,
	BTK_LOG_SESSION_OPEN,
	BTK_LOG_GENERIC_EVENT_NOTIFY ,
	BTK_LOG_EVENT_LOOP_IN,
	BTK_LOG_EVENT_LOOP_OUT,
	BTK_LOG_WINDOW_MAP,
	BTK_LOG_WINDOW_UNMAP,
	BTK_LOG_WINDOW_CREATE,
	BTK_LOG_WINDOW_DESTROY,
	BTK_LOG_WINDOW_RENAME,
	BTK_LOG_WINDOW_RESIZE,
	BTK_LOG_EVENT_EXPOSE,
	BTK_LOG_EVENT_BUTTON_PRESS,
	BTK_LOG_EVENT_BUTTON_RELEASE,
	BTK_LOG_EVENT_BUTTON_COMBO,
	BTK_LOG_EVENT_BUTTON_COMBO_BREAK,
	BTK_LOG_EVENT_KEY_PRESS,
	BTK_LOG_EVENT_POINTER_MOTION,
	BTK_LOG_EVENT_WINDOW_ENTER,
	BTK_LOG_EVENT_WINDOW_LEAVE,
	BTK_LOG_EVENT_CLIENT_MESSAGE
};

void btk_log         (unsigned int);
void btk_log_error   (unsigned int);
void btk_log_warning (unsigned int);
