#include "btk-config.h"

typedef struct {
	int   rows_n;
	int   rows_max_w;
	char *rows;
	char *rows_shadow;
	int  *rows_spot;
	int  *rows_w;
} btk_par_t;

int              btk_text_del_char          (char *, int, int);
int              btk_text_insert_char       (char *, char, int, int);

btk_pos_t        btk_text_caret_1dto2d      (btk_par_t *, int);
int              btk_text_caret_2dto1d      (btk_par_t *, btk_pos_t);
void             btk_text_destroy_par       (btk_par_t *);
btk_par_t*       btk_text_get_par           (char *, unsigned int);
int              btk_text_guard_1d_caret    (char *, int);
btk_pos_t        btk_text_guard_2d_caret    (btk_par_t *, btk_pos_t);
